Vector stores
Get a vector store file batch
Retrieves a vector store file batch by its identifier.
Paramètres de chemin d’accès
vector_store_id
string
obligatoire
The ID of the vector store that the file batch belongs to.
batch_id
string
obligatoire
The ID of the file batch being retrieved.
Réponses
The request has succeeded.
Corps
id
string
obligatoire
The identifier, which can be referenced in API endpoints.
object
enum
obligatoire
The object type, which is always vector_store.file_batch.
created_at
integer
obligatoire
The Unix timestamp (in seconds) for when the vector store files batch was created.
vector_store_id
string
obligatoire
The ID of the vector store that the File is attached to.
status
enum
obligatoire
The status of the vector store files batch, which can be either in_progress, completed, cancelled or failed.
file_counts
OpenAI.VectorStoreFileBatchObjectFileCounts
obligatoire
Requête
curl https://api.openai.com/v1/vector_stores/vs_abc123/file_batches/vsfb_abc123 \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-H "Content-Type: application/json" \
-H "OpenAI-Beta: assistants=v2"
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
vector_store_file_batch = client.vector_stores.file_batches.retrieve(
batch_id="vsfb_abc123",
vector_store_id="vs_abc123",
)
print(vector_store_file_batch.id)
import OpenAI from "openai";
const openai = new OpenAI();
async function main() {
const vectorStoreFileBatch = await openai.vectorStores.fileBatches.retrieve(
"vsfb_abc123",
{ vector_store_id: "vs_abc123" }
);
console.log(vectorStoreFileBatch);
}
main();
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const vectorStoreFileBatch = await client.vectorStores.fileBatches.retrieve('vsfb_abc123', {
vector_store_id: 'vs_abc123',
});
console.log(vectorStoreFileBatch.id);
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
vectorStoreFileBatch, err := client.VectorStores.FileBatches.Get(
context.TODO(),
"vs_abc123",
"vsfb_abc123",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v
", vectorStoreFileBatch.ID)
}
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.vectorstores.filebatches.FileBatchRetrieveParams;
import com.openai.models.vectorstores.filebatches.VectorStoreFileBatch;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
FileBatchRetrieveParams params = FileBatchRetrieveParams.builder()
.vectorStoreId("vs_abc123")
.batchId("vsfb_abc123")
.build();
VectorStoreFileBatch vectorStoreFileBatch = client.vectorStores().fileBatches().retrieve(params);
}
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
vector_store_file_batch = openai.vector_stores.file_batches.retrieve("vsfb_abc123", vector_store_id: "vs_abc123")
puts(vector_store_file_batch)
Response
{
"id": "vsfb_abc123",
"object": "vector_store.file_batch",
"created_at": 1699061776,
"vector_store_id": "vs_abc123",
"status": "in_progress",
"file_counts": {
"in_progress": 1,
"completed": 1,
"failed": 0,
"cancelled": 0,
"total": 0,
}
}